from django.contrib.postgres.fields import ArrayField
from django.db import models
from main.core.models import BaseAuditTrack, UUIDIDMixin


class Client(UUIDIDMixin, BaseAuditTrack):
    name = models.CharField("Name", max_length=254)
    company = models.CharField("Company", max_length=254, null=True, blank=True)
    position = models.CharField("Position", max_length=254, null=True, blank=True)
    site = models.CharField("Site", max_length=254, null=True, blank=True)
    email = ArrayField(models.EmailField("Email"), null=True, blank=True)
    phone_primary = models.CharField("Primary phone", max_length=16)
    phone_extra = ArrayField(models.CharField("Phone", max_length=16), null=True, blank=True)
    tenant = models.ForeignKey("tenants.Tenant", related_name="clients", on_delete=models.CASCADE)

    def __str__(self):
        return f"{self.name}"
